@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.wrapper {
  margin: 0;
  min-height: 100vh;

  @include responsive(tablet) {
    & {
      margin-left: 30%;
    }
  }

  @include responsive(laptop) {
    & {
      margin-left: 290px;
    }
  }
}

.spotify-frame {
  position: fixed;
  border-radius: 12px;
  width: 100%;
  bottom: 0em;
  @include responsive(tablet) {
    width: 70%;
  }
  @include responsive(laptop) {
    width: calc(100% - 290px);
  }
}

.frame-space {
  height: 80px;
}
